<template>
  <Page>

  </Page>
</template>

<script>
  import { mapGetters } from 'vuex';
  // TODO: import firebase library 
  export default {
    data() {
      return {
      }
    },
    created() {
      console.log('Created the manage component')
    },
    computed: {
      ...mapGetters({
        userCreatedEvents: 'getUserCreatedEvents',
        userJoinedEvents: 'getUserJoinedEvents',
        }),
    },
    methods: {
      leaveEvent(eventId) {
        // in this store action it should remove this user id from the participants list of the event.
        // Also update the firestore database, removing the participant from the list.
        const userId = this.user.uid
        this.$store.dispatch('leaveEvent', {eventId, userId})
      },
    },
  }
</script>

<style scoped>

</style>